Subject: bug#1705: 23.0.60; parallel build failure: `mh-e' was not provided

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Dec 2008 21:30:33 -0500

> I added to lisp/Makefile.in a series of dependencies that should fix
> the case of MH-E compilation.  Please see if this fixes the problem
> for you.  If you have more than 2 processors, it would make sense to
> try "make -j N" with values of N larger than 2, to increase the
> probability of such a clash.

This won't solve it in general, because there are many circular
dependencies among Elisp files.  Another approach is to just close the
race condition: write the byte-compiled file to foo.elc.temp and then
rename it atomically to foo.elc.

        Stefan